name: Ano Mr Site
on: [push]

jobs: 
  build-and-deploy: 
    runs-on: host-3
    name: Build and deploy
    steps: 

      - name: Применение обновлений в кодовой базе
        uses: actions/checkout@v3

      - name: Обновление системы
        run: |
          apt update -y
          apt upgrade -y

      - name: Связка директории с данными сайта
        run: ln -s /root/data data

      - name: Обновление директории apache
        run: |
          rm -r /var/www/html/*
          mv ./* /var/www/html

      - name: Выдача прав
        run: |
          chown -R www-data:www-data /root/data
          chmod -R 755 /root/data
          chown -R www-data:www-data /var/www/html
          chmod -R 755 /var/www/html
